Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class SemanticRelation

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.SemanticRelation

public class SemanticRelation
extends Referrer
implements Relation

SemanticRelatio specified semantic relationships between concepts (kernels) assotiated with two nodes on the diagram.

Constructor Summary
`SemanticRelation(DataCollection origin, String name)`
`SemanticRelation(DataCollection origin, String name, String relationType)`

Method Summary
`String` | `getInputElementName()`
`String` | `getOutputElementName()`
`String` | `getParticipation()`
`String` | `getRelationType()`
`String` | `getTitle()`
`String` | `getType()`
`void` | `setInputElementName(String inputElementName)`
`void` | `setOutputElementName(String outputElementName)`
`void` | `setParticipation(String participation)`
`void` | `setRelationType(String relationType)`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### SemanticRelation

    public SemanticRelation(DataCollection origin, String name)

### SemanticRelation

    public SemanticRelation(DataCollection origin, String name, String relationType)

Method Detail

### getInputElementName

    public String getInputElementName()

### getOutputElementName

    public String getOutputElementName()

### getParticipation

    public String getParticipation()

### getRelationType

    public String getRelationType()

### getTitle

    public String getTitle()

### getType

    public String getType()

### setInputElementName

    public void setInputElementName(String inputElementName)

### setOutputElementName

    public void setOutputElementName(String outputElementName)

### setParticipation

    public void setParticipation(String participation)

### setRelationType

    public void setRelationType(String relationType)

Association Links

to Class java.lang.String

  Name of input data element (kernel) participation in this realtion. The name can be given relative Module.DATA data collection or it can be complete name of corresponding kernel data element.

to Class java.lang.String

  Name of output data element (kernel) participation in this realtion. The name can be given relative Module.DATA data collection or it can be complete name of corresponding kernel data element.

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM